Libosmium: osmium::index::IdSetDenseIterator< T, chunk_bits > Class Template Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
osmium::index::IdSetDenseIterator< T, chunk_bits > Class Template Reference

`#include <id_set.hpp>`

Collaboration diagram for osmium::index::IdSetDenseIterator< T, chunk_bits >:
[legend]

## Public Types
using | iterator_category = std::forward_iterator_tag
using | value_type = T
using | pointer = value_type*
using | reference = value_type&

## Public Member Functions
| IdSetDenseIterator (const id_set *set, T value, T last) noexcept
IdSetDenseIterator & | operator++ () noexcept
IdSetDenseIterator | operator++ (int) noexcept
bool | operator== (const IdSetDenseIterator &rhs) const noexcept
bool | operator!= (const IdSetDenseIterator &rhs) const noexcept
T | operator* () const noexcept

## Private Types
using | id_set = IdSetDense<T, chunk_bits>

## Private Member Functions
void | next () noexcept

## Private Attributes
const id_set * | m_set
T | m_value
T | m_last

## Detailed Description

template<typename T, std::size_t chunk_bits>
class osmium::index::IdSetDenseIterator< T, chunk_bits >

Const_iterator for iterating over a IdSetDense.

## Member Typedef Documentation

## ◆ id_set

template<typename T, std::size_t chunk_bits>

using osmium::index::IdSetDenseIterator< T, chunk_bits >::id_set = IdSetDense<T, chunk_bits>
| private

## ◆ iterator_category

template<typename T, std::size_t chunk_bits>

using osmium::index::IdSetDenseIterator< T, chunk_bits >::iterator_category = std::forward_iterator_tag

## ◆ pointer

template<typename T, std::size_t chunk_bits>

using osmium::index::IdSetDenseIterator< T, chunk_bits >::pointer = value_type*

## ◆ reference

template<typename T, std::size_t chunk_bits>

using osmium::index::IdSetDenseIterator< T, chunk_bits >::reference = value_type&

## ◆ value_type

template<typename T, std::size_t chunk_bits>

using osmium::index::IdSetDenseIterator< T, chunk_bits >::value_type = T

## Constructor & Destructor Documentation

## ◆ IdSetDenseIterator()

template<typename T, std::size_t chunk_bits>

osmium::index::IdSetDenseIterator< T, chunk_bits >::IdSetDenseIterator | ( | const id_set * | set,
|  | T | value,
|  | T | last )
| inlinenoexcept

## Member Function Documentation

## ◆ next()

template<typename T, std::size_t chunk_bits>

void osmium::index::IdSetDenseIterator< T, chunk_bits >::next | ( |  | ) |
| inlineprivatenoexcept

## ◆ operator!=()

template<typename T, std::size_t chunk_bits>

bool osmium::index::IdSetDenseIterator< T, chunk_bits >::operator!= | ( | const IdSetDenseIterator< T, chunk_bits > & | rhs | ) | const
| inlinenoexcept

## ◆ operator*()

template<typename T, std::size_t chunk_bits>

T osmium::index::IdSetDenseIterator< T, chunk_bits >::operator* | ( |  | ) | const
| inlinenoexcept

## ◆ operator++() [1/2]

template<typename T, std::size_t chunk_bits>

IdSetDenseIterator & osmium::index::IdSetDenseIterator< T, chunk_bits >::operator++ | ( |  | ) |
| inlinenoexcept

## ◆ operator++() [2/2]

template<typename T, std::size_t chunk_bits>

IdSetDenseIterator osmium::index::IdSetDenseIterator< T, chunk_bits >::operator++ | ( | int |  | ) |
| inlinenoexcept

## ◆ operator==()

template<typename T, std::size_t chunk_bits>

bool osmium::index::IdSetDenseIterator< T, chunk_bits >::operator== | ( | const IdSetDenseIterator< T, chunk_bits > & | rhs | ) | const
| inlinenoexcept

## Member Data Documentation

## ◆ m_last

template<typename T, std::size_t chunk_bits>

T osmium::index::IdSetDenseIterator< T, chunk_bits >::m_last
| private

## ◆ m_set

template<typename T, std::size_t chunk_bits>

const id_set* osmium::index::IdSetDenseIterator< T, chunk_bits >::m_set
| private

## ◆ m_value

template<typename T, std::size_t chunk_bits>

T osmium::index::IdSetDenseIterator< T, chunk_bits >::m_value
| private

The documentation for this class was generated from the following file:

- include/osmium/index/id_set.hpp